Auto Multiple Choice - Support # 37: add dependencies list to README or INSTALL-FROM-SOURCES
file

Status: Closed Priority: Normal
Author: Pieter Van den Hombergh Category:

Created: 04/01/2012 Assignee:

Updated: 09/20/2012 Due date:

Description: It would by nice to have the list of packages that AMC depends on.

It would help to get started building from e.g. the repository.

What | found up to now is: (ubuntu 11.10)

* sudo apt-get install libnetpbm10-dev
* sudo apt-get install libcv-dev

* sudo apt-get install libhighgui-dev

* sudo apt-get install librsvg2-bin

* sudo apt-get install dblatex

History

04/01/2012 10:44 am - Pieter Van den Hombergh
Pieter Van den Hombergh wrote:
> It would by nice to have the list of packages that AMC depends on.
It would help to get started building from e.g. the repository.
What | found up to now is: (ubuntu 11.10)
(install with sudo apt-get install)

* libnetpbm10-dev
* libcv-dev

* libhighgui-dev

* librsvg2-bin

* dblatex

* libxml-libxml-perl

04/01/2012 02:44 pm - Alexis Bienveniie
It is not very easy to list _all_ files/libraries that are needed to build AMC. Nevertheless, you can find in the source:debian/control a list of debian
packages that are needed to compile AMC (@Build-Depends:@ lines).

On the other hand, on Ubuntu, you can use the "AMC test PPA repository":https://launchpad.net/~alexis.bienvenue/+archive/test to get an recent
version of AMC: | regularly send the package to build on Launchpad. After adding the PPA to your sources

<pre>

sudo add-apt-repository ppa:alexis.bienvenue/test

</pre>

updates will include new versions of AMC.

At last, you can use @make deb@ in your sources directory to build the package. Needed packages that are not yet installed in your system will show
up. You can also build the sources package (@make debsrc@), and then use

<pre>

sudo apt-get build-dep auto-multiple-choice_*.dsc

</pre>
09/20/2012 09:48 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed
